## org.apache.aries.subsystem.core.internal
Class SubsystemGraph

    java.lang.Object
      org.apache.aries.subsystem.core.internal.SubsystemGraph

    public class SubsystemGraph

extends Object

Constructor Summary
`SubsystemGraph(BasicSubsystem root)`

Method Summary
`void` `add(BasicSubsystem parent, BasicSubsystem child)`
`Collection<Subsystem>` `getChildren(BasicSubsystem parent)`
`Collection<Subsystem>` `getParents(BasicSubsystem child)`
`void` `remove(BasicSubsystem child)`
`void` `remove(BasicSubsystem parent, BasicSubsystem child)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubsystemGraph

    public SubsystemGraph(BasicSubsystem root)

Method Detail

### add

    public void add(BasicSubsystem parent,
                    BasicSubsystem child)

### getChildren

    public Collection<Subsystem> getChildren(BasicSubsystem parent)

### getParents

    public Collection<Subsystem> getParents(BasicSubsystem child)

### remove

    public void remove(BasicSubsystem child)

### remove

    public void remove(BasicSubsystem parent,
                       BasicSubsystem child)

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.